Great!

On 04/06/2018 04:43 PM, Peter Hudec wrote:
Ansible playbook finished OK. The next step after weekend.

        thanks
                Peter

On 06/04/2018 23:34, Rich Megginson wrote:
On 04/06/2018 03:08 PM, Peter Hudec wrote:
Hi,

https://tools.apps.hudecof.net/paste/view/1d493d52

The difference is
- I used latest ansible 2.5 from PIPY source, since the RPM package do
not fit requirements
- I used GIT repo for openshift-ansible.

I could start it over with the RPM based openshift-ansible
I recommend that you start over with the RPM based openshift-ansible,
which is what the instructions say, which is what I have tested

alternately - if you want to go the more experimental route, you could
enable the epel-testing yum repo - ansible-2.5 is in epel-testing which
I've been told by the openshift-ansible guys should work

     Peter

On 06/04/2018 20:23, Rich Megginson wrote:
I'm assuming you are running on a CentOS7 machine, recently updated to
the latest base packages. Please confirm.

Please provide the output of the following commands:

sudo yum repolist

sudo rpm -q ansible

sudo yum repoquery -i ansible

sudo rpm -q openshift-ansible

sudo yum repoquery -i openshift-ansible

sudo rpm -q origin

sudo yum repoquery -i origin

sudo cat
/usr/share/ansible/openshift-ansible/roles/lib_utils/callback_plugins/aa_version_requirement.py



sudo ls -alrtF /etc/origin/logging

Please confirm that you followed the steps listed in the link below,
including the use of the ansible inventory, vars.yaml.template, and repo
files:
https://github.com/richm/Main/blob/7e663351dc371b7895564072c7656ebfda45068d/README-install.md



On 04/06/2018 03:19 AM, Peter Hudec wrote:
first issue is ansible version, could be solved by virtual env

FATAL: Current Ansible version (2.4.2.0) is not supported. Supported
versions: 2.4.3.0 or newer

yum install -y python-virtualenv
virtualenv ansible
. ./ansible/bin/activate
pip install -U pip setuptolls
pip install -U pip setuptools
pip install ansible


Second issue is a little bit strange for me

2018-04-06 10:00:30,264 p=68226 u=root |  Failure summary:


     1. Hosts:    localhost
        Play:     OpenShift Aggregated Logging
        Task:     pulling down signing items from host
        Message:  ESC[0;31mAll items completedESC[0m

I have found in logs

2018-04-06 10:00:28,356 p=68226 u=root |  failed: [localhost]
(item=ca.crl.srl) => {
       "changed": false,
       "invocation": {
           "module_args": {
               "src": "/etc/origin/logging/ca.crl.srl"
           }
       },
       "item": "ca.crl.srl",
       "msg": "file not found: /etc/origin/logging/ca.crl.srl"


Is this good or bad ?

      Peter

On 05/04/2018 16:11, Rich Megginson wrote:
Is it possible that you could start over from scratch, using the
latest
instructions/files at
https://github.com/ViaQ/Main/pull/37/files?

On 04/05/2018 07:19 AM, Peter Hudec wrote:
The version is from

/usr/share/ansible/openshift-ansible/roles/openshift_facts/library/openshift_facts.py:get_openshift_version




[PROD] r...@dipostat01.cnc.sk: /usr/share/ansible/openshift-ansible #
/usr/bin/openshift version
openshift v3.10.0-alpha.0+f0186dd-401
kubernetes v1.9.1+a0ce1bc657
etcd 3.2.16

this binary is from the origin-3.7.2-1.el7.git.0.f0186dd.x86_64
package

[PROD] r...@dipostat01.cnc.sk: ~ # rpm -qf /usr/bin/openshift
origin-3.7.2-1.el7.git.0.f0186dd.x86_64

Hmm, why the version do not match ?

       Peter

On 04/04/2018 17:41, Shirly Radco wrote:
Hi,


I have a updated the installation instructions for installing
OpenShift
3.9, based on Rich's work , for the oVirt use case.

Please make sure where you get the 3.10 rpm and disable that repo.

This is the PR that includes the metrics store installation of
OpenShift 3.9

https://github.com/sradco/ovirt-site/blob/74f1e772c8ca75d4b9e57a3c02cce49c5030f7f7/source/develop/release-management/features/metrics/setting-up-viaq-logging.html.md




It should be merged soon, but you can use it to install.


Please make sure to add the ansible-inventory-origin-39-aio file as
described below.
These are required parameters for the ansible playbook.


Best regards,

--

SHIRLY RADCO

BI SeNIOR SOFTWARE ENGINEER

Red Hat Israel <https://www.redhat.com/>

<https://red.ht/sig>
TRIED. TESTED. TRUSTED. <https://redhat.com/trusted>


On Wed, Apr 4, 2018 at 5:41 PM, Rich Megginson <rmegg...@redhat.com
<mailto:rmegg...@redhat.com>> wrote:

        I'm sorry.  I misunderstood the request.

        We are in the process of updating the instructions for
installing
        viaq logging based on upstream origin 3.9 -
        https://github.com/ViaQ/Main/pull/37
        <https://github.com/ViaQ/Main/pull/37>

        In the meantime, you can follow along on that PR, and we will
have
        instructions very soon.


        On 04/04/2018 08:26 AM, Rich Megginson wrote:

            On 04/04/2018 08:22 AM, Shirly Radco wrote:



                --

                SHIRLY RADCO

                BI SeNIOR SOFTWARE ENGINEER

                Red Hat Israel <https://www.redhat.com/>

                <https://red.ht/sig>
                TRIED. TESTED. TRUSTED. <https://redhat.com/trusted>


                On Wed, Apr 4, 2018 at 5:07 PM, Peter Hudec
<phu...@cnc.sk
                <mailto:phu...@cnc.sk> <mailto:phu...@cnc.sk
                <mailto:phu...@cnc.sk>>> wrote:

                    almost the same issue, the versio for openshoft
release
                changed to 3.9

                    Failure summary:


                      1. Hosts:    localhost
                         Play:     Determine openshift_version to
configure
                on first
                    master
                         Task:     For an RPM install, abort when the
release
                    requested does
                    not match the available version.
                         Message:  You requested openshift_release
3.9,
                which is not
                    matched by
                                   the latest OpenShift RPM we
detected as
                origin-3.10.0
                                   on host localhost.
                                   We will only install the latest
RPMs, so
                please ensure
                    you are getting the release
                                   you expect. You may need to adjust
your
                Ansible
                    inventory, modify the repositories
                                   available on the host, or run the
                appropriate OpenShift
                    upgrade playbook.


                What is the rpm version installed of
OpenShift origin?
                Do you perhaps have another repo that includes the
OpenShift
                origin-3.10.0?


            origin is the upstream version of OpenShift, which is
unsupported.

            sudo repoquery -i origin

            This will tell you which repo it came from

            You will need to disable that repo and uninstall any
packages
            which came from that repo

            Another mystery is why it is trying to install origin
in the
            first place.  openshift-ansible with
            openshift_deployment_type=openshift-enterprise should not
try to
            install origin, it should install packages with names
like
            atomic-openshift-master, atomic-openshift-node, etc.




                    On 04/04/2018 14:18, Shirly Radco wrote:
                    > Adding Nicolas since he hit the same issue.
                    >
                    > --
                    >
                    > SHIRLY RADCO
                    >
                    > BI SeNIOR SOFTWARE ENGINEER
                    >
                    > Red Hat Israel <https://www.redhat.com/>
                    >
                    > <https://red.ht/sig>
                    > TRIED. TESTED. TRUSTED.
<https://redhat.com/trusted>
                    >
                    >
                    > On Wed, Apr 4, 2018 at 3:17 PM, Shirly Radco
                <sra...@redhat.com <mailto:sra...@redhat.com>
                <mailto:sra...@redhat.com <mailto:sra...@redhat.com>>
                    > <mailto:sra...@redhat.com
<mailto:sra...@redhat.com>
                <mailto:sra...@redhat.com
<mailto:sra...@redhat.com>>>>
wrote:
                    >
                    >     Hi Peter,
                    >
                    >     The installation instructions currently
support
                OpenShift 3.6.
                    >
                    >     I'm now working on updating them to support
3.9.
                    >
                    >     You currently have 3.10 installed.
                    >
                    >     Please install OpenShift 3.9 using this
repository
                    >
https://github.com/ViaQ/Main/blob/master/centos7-viaq.repo <https://github.com/ViaQ/Main/blob/master/centos7-viaq.repo> <https://github.com/ViaQ/Main/blob/master/centos7-viaq.repo <https://github.com/ViaQ/Main/blob/master/centos7-viaq.repo>>
                    >
   <https://github.com/ViaQ/Main/blob/master/centos7-viaq.repo <https://github.com/ViaQ/Main/blob/master/centos7-viaq.repo> <https://github.com/ViaQ/Main/blob/master/centos7-viaq.repo <https://github.com/ViaQ/Main/blob/master/centos7-viaq.repo>>>
                    >
                    >     And add the following file to your vm
                    >
                    >     Run:
                    >     vi /root/ansible-inventory-origin-39-aio
                    >
                    >     Add:
                    >
                    >     --------------
                    >     [OSEv3:children]
                    >     nodes
                    >     masters
                    >     etcd
                    >
                    >     [OSEv3:vars]
                    >     ansible_connection=local
                    >     openshift_release=v3.9
                    >     openshift_logging_install_logging=true
                    >     short_version=3.9
                    >     openshift_deployment_type=origin
                    >
 openshift_master_identity_providers=[{'mappingMethod':
                'lookup',
                    >     'challenge': 'true', 'login': 'true',
'kind':
                    >     'AllowAllPasswordIdentityProvider', 'name':
                'allow_all'}]
                    >     # bug - doesn't use correct tag
                    >     openshift_logging_image_version=v3.9
                    >
  openshift_logging_elasticsearch_proxy_image_version=v1.0.0
                    >
                    >     openshift_logging_es_allow_external=True
                    >     openshift_logging_use_mux=True
                    >     openshift_logging_mux_allow_external=True
                    >
    openshift_logging_mux_file_buffer_storage_type=hostmount
                    >
    openshift_logging_elasticsearch_storage_type=hostmount
                    >
   openshift_logging_elasticsearch_hostmount_path=/var/lib/elasticsearch


                    >
                    >     [nodes]
                    >     localhost storage=True
                openshift_node_labels="{'region':
                    'infra'}"
                    >     openshift_schedulable=True
                    >
                    >     [masters]
                    >     localhost storage=True
                openshift_node_labels="{'region':
                    'infra'}"
                    >     openshift_schedulable=True
                    >
                    >     [etcd]
                    >     localhost storage=True
                openshift_node_labels="{'region':
                    'infra'}"
                    >     openshift_schedulable=True
                    >
                    >
                    >     ------------
                    >
                    >     Save and exit.
                    >
                    >
                    >     ***Please make sure that you use /var as
your
                Elasticsearch
                    >     persistent storage directory.
                    >
                    >     And when you run the OpenShift ansible
                    >
   (https://www.ovirt.org/develop/release-management/features/metrics/setting-up-viaq-logging/#running-ansible



<https://www.ovirt.org/develop/release-management/features/metrics/setting-up-viaq-logging/#running-ansible>



<https://www.ovirt.org/develop/release-management/features/metrics/setting-up-viaq-logging/#running-ansible



<https://www.ovirt.org/develop/release-management/features/metrics/setting-up-viaq-logging/#running-ansible>>



                    >
   <https://www.ovirt.org/develop/release-management/features/metrics/setting-up-viaq-logging/#running-ansible



<https://www.ovirt.org/develop/release-management/features/metrics/setting-up-viaq-logging/#running-ansible>



<https://www.ovirt.org/develop/release-management/features/metrics/setting-up-viaq-logging/#running-ansible



<https://www.ovirt.org/develop/release-management/features/metrics/setting-up-viaq-logging/#running-ansible>>>)



                    >     use the file you just created like this:
                    >
                    >     # cd /usr/share/ansible/openshift-ansible
                    >     # (or wherever you cloned the git repo if
using git)
                    >     ANSIBLE_LOG_PATH=/tmp/ansible.log
ansible-playbook
                -vvv -e
                    >     @/root/vars.yaml -i
                /root/*ansible-inventory-origin-39-aio*
                    >     playbooks/byo/config.yml
                    >
                    >     Best regards,
                    >
                    >     --
                    >
                    >     SHIRLY RADCO
                    >
                    >     BI SeNIOR SOFTWARE ENGINEER
                    >
                    >     Red Hat Israel <https://www.redhat.com/>
                    >
                    >     <https://red.ht/sig>
                    >     TRIED. TESTED. TRUSTED.
<https://redhat.com/trusted>
                    >
                    >
                    >     On Wed, Apr 4, 2018 at 12:17 PM, Peter
Hudec
                <phu...@cnc.sk <mailto:phu...@cnc.sk>
<mailto:phu...@cnc.sk
                <mailto:phu...@cnc.sk>>
                    >     <mailto:phu...@cnc.sk
<mailto:phu...@cnc.sk>
                <mailto:phu...@cnc.sk <mailto:phu...@cnc.sk>>>>
wrote:
                    >
                    >         Tried to install ovirt metrics, but got
error
                    >
                    >         ANSIBLE_LOG_PATH=/tmp/ansible.log
                ansible-playbook -vvv -e
                    >         @/root/vars.yaml -i
                /root/ansible-inventory-origin-37-aio
                    >         playbooks/byo/config.yml
                    >
                    >           1. Hosts:    localhost
                    >              Play:     Determine
openshift_version to
                configure
                    on first
                    >         master
                    >              Task:     For an RPM install,
abort when
                the release
                    >         requested does
                    >         not match the available version.
                    >              Message:  You requested
openshift_release
                3.7,
                    which is not
                    >         matched by
                    >                        the latest OpenShift
RPM we
                detected as
                    origin-3.10.0
                    >                        on host localhost.
                    >                        We will only install the
latest
                RPMs, so
                    please
                    >         ensure
                    >         you are getting the release
                    >                        you expect. You may
need to
                adjust your
                    Ansible
                    >         inventory, modify the repositories
                    >                        available on the host,
or run
                the appropriate
                    >         OpenShift
                    >         upgrade playbook.
                    >
                    >                 regards
                    >                         Peter
                    >
                    >
                    >         On 04/04/2018 09:13, Fred Rolland
wrote:
                    >         > Hi,
                    >         >
                    >         > Check these links:
                    >         >
                    >         >
https://ovirt.org/blog/2018/01/ovirt-report-using-grafana/ <https://ovirt.org/blog/2018/01/ovirt-report-using-grafana/> <https://ovirt.org/blog/2018/01/ovirt-report-using-grafana/ <https://ovirt.org/blog/2018/01/ovirt-report-using-grafana/>>
                    >
   <https://ovirt.org/blog/2018/01/ovirt-report-using-grafana/ <https://ovirt.org/blog/2018/01/ovirt-report-using-grafana/> <https://ovirt.org/blog/2018/01/ovirt-report-using-grafana/ <https://ovirt.org/blog/2018/01/ovirt-report-using-grafana/>>>
                    >         >
https://ovirt.org/develop/release-management/features/metrics/metrics-store/



<https://ovirt.org/develop/release-management/features/metrics/metrics-store/>



<https://ovirt.org/develop/release-management/features/metrics/metrics-store/



<https://ovirt.org/develop/release-management/features/metrics/metrics-store/>>



                    >
   <https://ovirt.org/develop/release-management/features/metrics/metrics-store/



<https://ovirt.org/develop/release-management/features/metrics/metrics-store/>



<https://ovirt.org/develop/release-management/features/metrics/metrics-store/



<https://ovirt.org/develop/release-management/features/metrics/metrics-store/>>>



                    >         >
                    >         > Regards,
                    >         > Fred
                    >         >
                    >         > On Tue, Apr 3, 2018 at 9:38 AM,
Anantha
Raghava
                    >         > <rag...@exzatechconsulting.com
                <mailto:rag...@exzatechconsulting.com>
                    <mailto:rag...@exzatechconsulting.com
                <mailto:rag...@exzatechconsulting.com>>
                    >         <mailto:rag...@exzatechconsulting.com
                <mailto:rag...@exzatechconsulting.com>
                    <mailto:rag...@exzatechconsulting.com
                <mailto:rag...@exzatechconsulting.com>>>
                    >         <mailto:rag...@exzatechconsulting.com
                <mailto:rag...@exzatechconsulting.com>
                    <mailto:rag...@exzatechconsulting.com
                <mailto:rag...@exzatechconsulting.com>>
                    >         <mailto:rag...@exzatechconsulting.com
                <mailto:rag...@exzatechconsulting.com>
                    <mailto:rag...@exzatechconsulting.com
                <mailto:rag...@exzatechconsulting.com>>>>>
                    >         > wrote:
                    >         >
                    >         >     Hi,
                    >         >
                    >         >     I see that oVirt DWH is installed
with
                Version
                    4.2.x. Now, how do I
                    >         >     take the reports? I version 3.5,
we had
                Jasper
                    reports module using
                    >         >     which we could take utilization
reports.
                Can we do
                    something similar
                    >         >     here?
                    >         >
                    >         >     --
                    >         >
                    >         >     Thanks & Regards,
                    >         >
                    >         >
                    >         >     Anantha Raghava
                    >         >
                    >         >
                    >         >     Do not print this e-mail unless
                required. Save
                    Paper & trees.
                    >         >
                    >         >
                    >         >
    _______________________________________________
                    >         >     Users mailing list
                    >         > Users@ovirt.org
<mailto:Users@ovirt.org>
                <mailto:Users@ovirt.org <mailto:Users@ovirt.org>>
                    <mailto:Users@ovirt.org <mailto:Users@ovirt.org>
                <mailto:Users@ovirt.org <mailto:Users@ovirt.org>>>
                    >         <mailto:Users@ovirt.org
                <mailto:Users@ovirt.org> <mailto:Users@ovirt.org
                <mailto:Users@ovirt.org>>
                    <mailto:Users@ovirt.org <mailto:Users@ovirt.org>
                <mailto:Users@ovirt.org <mailto:Users@ovirt.org>>>>
                    >         >
                http://lists.ovirt.org/mailman/listinfo/users
                <http://lists.ovirt.org/mailman/listinfo/users>
                    <http://lists.ovirt.org/mailman/listinfo/users
                <http://lists.ovirt.org/mailman/listinfo/users>>
                    >  <http://lists.ovirt.org/mailman/listinfo/users
                <http://lists.ovirt.org/mailman/listinfo/users>
                    <http://lists.ovirt.org/mailman/listinfo/users
                <http://lists.ovirt.org/mailman/listinfo/users>>>
                    >         >
                 <http://lists.ovirt.org/mailman/listinfo/users
                <http://lists.ovirt.org/mailman/listinfo/users>
                    <http://lists.ovirt.org/mailman/listinfo/users
                <http://lists.ovirt.org/mailman/listinfo/users>>
                    >  <http://lists.ovirt.org/mailman/listinfo/users
                <http://lists.ovirt.org/mailman/listinfo/users>
                <http://lists.ovirt.org/mailman/listinfo/users
                <http://lists.ovirt.org/mailman/listinfo/users>>>>
                    >         >
                    >         >
                    >         >
                    >         >
                    >         >
_______________________________________________
                    >         > Users mailing list
                    >         > Users@ovirt.org
<mailto:Users@ovirt.org>
                <mailto:Users@ovirt.org <mailto:Users@ovirt.org>>
                    <mailto:Users@ovirt.org <mailto:Users@ovirt.org>
                <mailto:Users@ovirt.org <mailto:Users@ovirt.org>>>
                    >         >
                http://lists.ovirt.org/mailman/listinfo/users
                <http://lists.ovirt.org/mailman/listinfo/users>
                    <http://lists.ovirt.org/mailman/listinfo/users
                <http://lists.ovirt.org/mailman/listinfo/users>>
                    >  <http://lists.ovirt.org/mailman/listinfo/users
                <http://lists.ovirt.org/mailman/listinfo/users>
                    <http://lists.ovirt.org/mailman/listinfo/users
                <http://lists.ovirt.org/mailman/listinfo/users>>>
                    >         >
                    >
                    >
                    >         --
                    >         *Peter Hudec*
                    >         Infraštruktúrny architekt
                    > phu...@cnc.sk <mailto:phu...@cnc.sk>
                <mailto:phu...@cnc.sk <mailto:phu...@cnc.sk>>
                <mailto:phu...@cnc.sk <mailto:phu...@cnc.sk>
                    <mailto:phu...@cnc.sk <mailto:phu...@cnc.sk>>>
                <mailto:phu...@cnc.sk <mailto:phu...@cnc.sk>
                <mailto:phu...@cnc.sk <mailto:phu...@cnc.sk>>
                    >        <mailto:phu...@cnc.sk
<mailto:phu...@cnc.sk>
                <mailto:phu...@cnc.sk <mailto:phu...@cnc.sk>>>>
                    >
                    >         *CNC, a.s.*
                    >         Borská 6, 841 04 Bratislava
                    >         Recepcia: +421 2  35 000 100
                    >
                    >         Mobil:+421 905 997 203
                    >         *www.cnc.sk <http://www.cnc.sk>
                <http://www.cnc.sk> <http://www.cnc.sk>*
                    <http:///www.cnc.sk <http://www.cnc.sk>
<http://www.cnc.sk>
                    >         <http://www.cnc.sk>>
                    >
                    >
    _______________________________________________
                    >         Users mailing list
                    > Users@ovirt.org <mailto:Users@ovirt.org>
                <mailto:Users@ovirt.org <mailto:Users@ovirt.org>>
                <mailto:Users@ovirt.org <mailto:Users@ovirt.org>
                    <mailto:Users@ovirt.org
<mailto:Users@ovirt.org>>>
                    > http://lists.ovirt.org/mailman/listinfo/users
                <http://lists.ovirt.org/mailman/listinfo/users>
                    <http://lists.ovirt.org/mailman/listinfo/users
                <http://lists.ovirt.org/mailman/listinfo/users>>
                    >  <http://lists.ovirt.org/mailman/listinfo/users
                <http://lists.ovirt.org/mailman/listinfo/users>
                    <http://lists.ovirt.org/mailman/listinfo/users
                <http://lists.ovirt.org/mailman/listinfo/users>>>
                    >
                    >
                    >


                    --
                    *Peter Hudec*
                    Infraštruktúrny architekt
                    phu...@cnc.sk <mailto:phu...@cnc.sk>
                <mailto:phu...@cnc.sk <mailto:phu...@cnc.sk>>
                <mailto:phu...@cnc.sk <mailto:phu...@cnc.sk>
                    <mailto:phu...@cnc.sk <mailto:phu...@cnc.sk>>>

                    *CNC, a.s.*
                    Borská 6, 841 04 Bratislava
                    Recepcia: +421 2  35 000 100

                    Mobil:+421 905 997 203
                    *www.cnc.sk <http://www.cnc.sk>
<http://www.cnc.sk>*
                <http:///www.cnc.sk <http://www.cnc.sk>
                    <http://www.cnc.sk>>







_______________________________________________
Users mailing list
Users@ovirt.org
http://lists.ovirt.org/mailman/listinfo/users

Reply via email to